<?
// 이 파일은 새로운 파일 생성시 반드시 포함되어야 함
if (!defined("_GNUBOARD_")) exit; // 개별 페이지 접근 불가

//오누리빌더 기본값
$home_width = get_text($config[cf_home_width]);  //홈페이지 전체 크기
$home_align = get_text($config[cf_home_align]);  //홈페이지 정렬 방식
$home_left = get_text($config[cf_home_left]);  //메인 좌측 크기
$home_right = get_text($config[cf_home_right]);  //메인 우측 크기
$home_margin = get_text($config[cf_home_margin]);  //메인 공백1
$home_margin2 = $home_margin - 2;  //메인 공백2
$home_margin3 = $home_margin + 2;  //메인 공백3
$home_name = get_text($config[cf_home_name]);  //홈페이지이름
$home_copyright = get_text($config[cf_home_copyright]);  //카피라이터
$home_main_width = $home_width - ($home_left + $home_right + ($home_margin * 2));  //홈페이지전체 넓이
//오누리빌더 스킨
$home_group_use = get_text($config[cf_home_group_use]); // 그룹 개별 사용
$home_main_top_design = get_text($config[cf_home_main_top_design]); // 메인 상단 디자인
$home_main_middle_design = get_text($config[cf_home_main_middle_design]); // 메인 중단 디자인
$home_main_bottom_design = get_text($config[cf_home_main_bottom_design]); // 메인 하단 디자인
$home_sub_top_design = get_text($config[cf_home_sub_top_design]); // 서브 상단 디자인
$home_sub_middle_design = get_text($config[cf_home_sub_middle_design]); // 서브 중단 디자인
$home_sub_bottom_design = get_text($config[cf_home_sub_bottom_design]); // 서브 하단 디자인
//일반 스킨
$skin_outlogin = get_text($config[cf_skin_outlogin]); // 외부 로그인

$begin_time = get_microtime();

if (!$g4['title'])
    $g4['title'] = $config['cf_title'];

// 쪽지를 받았나? 
if ($member[mb_memo_call]) { 
    $mb = get_member($member[mb_memo_call], "mb_nick"); 
    sql_query(" update {$g4[member_table]} set mb_memo_call = '' where mb_id = '$member[mb_id]' "); 
  // alert($mb[mb_nick]."님으로부터 쪽지가 전달되었습니다.", $_SERVER[REQUEST_URI]);
  $memo_on = "<div style='right:0; bottom:0; position: absolute; overflow:hidden;'><script src='{$g4[path]}/js/AC_RunActiveContent-qlynick1.js' type='text/javascript'></script><script type='text/javascript'>AC_FL_RunContent('codebase','http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=5,0,0,0','FlashVars','to_name={$mb[mb_nick]}','width','160','height','134','src','{$g4[path]}/swf/memo1','quality','high','wmode','transparent','pluginspage','http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash','movie','{$g4[path]}/swf/memo1' );</script><noscript><object classid='clsid:d27cdb6e-ae6d-11cf-96b8-444553540000' codebase='http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0' width='160' height='134' id='memo1' align='middle' /><param name='allowScriptAccess' value='sameDomain' /><param name='movie' value='{$g4[path]}/swf/memo1.swf' /><param name='quality' value='high' /><param name='menu' value='false' /><param  name='FlashVars' value='to_name={$mb[mb_nick]}' /><param name='wmode' value='transparent' /><embed src='{$g4[path]}/swf/memo1.swf' FlashVars='to_name={$mb[mb_nick]}' quality='high' bgcolor='#ffffff' width='160' height='134' name='memo1' align='middle' allowScriptAccess='sameDomain' type='application/x-shockwave-flash' pluginspage='http://www.macromedia.com/go/getflashplayer' /></object></noscript></div>";
} 

// 현재 접속자
//$lo_location = get_text($g4[title]);
//$lo_location = $g4[title];
// 게시판 제목에 ' 포함되면 오류 발생
$lo_location = addslashes($g4['title']);
if (!$lo_location)
    $lo_location = $_SERVER['REQUEST_URI'];
//$lo_url = $g4[url] . $_SERVER['REQUEST_URI'];
$lo_url = $_SERVER['REQUEST_URI'];
if (strstr($lo_url, "/$g4[admin]/") || $is_admin == "super") $lo_url = "";

// 자바스크립트에서 go(-1) 함수를 쓰면 폼값이 사라질때 해당 폼의 상단에 사용하면
// 캐쉬의 내용을 가져옴. 완전한지는 검증되지 않음
header("Content-Type: text/html; charset=$g4[charset]");
$gmnow = gmdate("D, d M Y H:i:s") . " GMT";
header("Expires: 0"); // rfc2616 - Section 14.21
header("Last-Modified: " . $gmnow);
header("Cache-Control: no-store, no-cache, must-revalidate"); // HTTP/1.1
header("Cache-Control: pre-check=0, post-check=0, max-age=0"); // HTTP/1.1
header("Pragma: no-cache"); // HTTP/1.0
?>
<!-- <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"> -->
<!--
//******************************************************************************************************
// 오누리빌더 라이센스
//
// 라이센스는 http://sir.co.kr/gnuboard/g4_license.php를 따릅니다.
// 프로그램 명칭 : 오누리빌더
// 제작일 : 2008-05-4
// 저작자 : Onuri.co.kr
// e-mail  : reapier@naver.com
// 라이센스 (License)
// 1. 본 프로그램을 사용함으로써 발생되는 문제는 사용자에게 있습니다.
// 2. 영리 및 비영리 모든 곳에서 자유롭게 사용이 가능합니다.
// 3. 본 프로그램을 재배포 할 수 없습니다.
// 4. 법적인 분쟁이 발생한 경우 저작자의 회사 소재지를 관할하는 관할법원에서 분쟁을 해결합니다.
// 5. 이 라이센스 파일 및 내용은 저작자를 제외한 어느 누구도 추가, 수정, 삭제할 수 없습니다.
// 프로그램에 대한 보증
// 오누리빌더의  사용으로 인한 손실 및 손해에 대해서 책임이 없으며, 유지 및 보수의 의무가 없습니다.
// 에러 발생시 최대한 빠른시일안에 패치버젼을 출시합니다.
// 저작권 : 이 주석 부분은 저작자를 제외한 어느 누구도 추가, 수정, 삭제할 수 없습니다. 이를 어길시 지적재산권에 대한 손해배상을 청구합니다.
//*******************************************************************************************************
 -->
<html>
<head>

<META http-equiv="content-type" content="text/html; charset=<?=$g4['charset']?>">
<META HTTP-EQUIV="imagetoolbar" CONTENT="no"></head>
<!-- <META HTTP-EQUIV="Page-Enter" CONTENT="BlendTrans(Duration=0.1)"> 
<META HTTP-EQUIV="Page-EXIT" CONTENT="BlendTrans(Duration=0.1)">  -->
<title><?=$g4['title']?></title>
<link rel="stylesheet" href="<?=$g4['path']?>/style.css" type="text/css">

<script type="text/javascript">
// 자바스크립트에서 사용하는 전역변수 선언
var g4_path      = "<?=$g4['path']?>";
var g4_bbs       = "<?=$g4['bbs']?>";
var g4_bbs_img   = "<?=$g4['bbs_img']?>";
var g4_url       = "<?=$g4['url']?>";
var g4_is_member = "<?=$is_member?>";
var g4_is_admin  = "<?=$is_admin?>";
var g4_bo_table  = "<?=isset($bo_table)?$bo_table:'';?>";
var g4_sca       = "<?=isset($sca)?$sca:'';?>";
var g4_charset   = "<?=$g4['charset']?>";
var g4_cookie_domain = "<?=$g4['cookie_domain']?>";
var g4_is_gecko  = navigator.userAgent.toLowerCase().indexOf("gecko") != -1;
var g4_is_ie     = navigator.userAgent.toLowerCase().indexOf("msie") != -1;
<? if ($is_admin) { echo "var g4_admin = '{$g4['admin']}';"; } ?>
</script>
<script type="text/javascript" src="<?=$g4['path']?>/js/common.js"></script>
<!-- <script language="javascript" src="<?=$g4['path']?>/js/conn-ajax.js"></script> -->
<script type="text/javascript" src="<?=$g4['path']?>/js/ajax.js"></script>
<script type="text/javascript" src="<?=$g4[path]?>/js/sideview.js"></script> 
</head>

<body <?=isset($g4['body_script']) ? $g4['body_script'] : "";?> bgcolor="#ffffff">
<?=$memo_on?>
<a name="g4_head"></a>
